# Organize the Streams sidebar

At an organization level, we recommend starting with a few streams and
growing organically, and doing a cleanup once every year or two to archive
streams that are no longer relevant.

Nevertheless, over time, it's easy to end up with more streams than you have
room for in the left sidebar.

Zulip tries to help by automatically pushes inactive streams to the bottom.

Zulip automatically moves inactive streams to the bottom


## Related articles

* [Mute a stream](/help/mute-a-stream)


On Zulip, it is useful to organize streams in the sidebar in order to easily
 access streams which you use frequently. This is because streams are initially
 arranged alphabetically which makes it difficult to quickly access your
 frequently used streams.

Furthermore, the **Streams** sidebar auto-organizes some streams. Inactive
 streams move down the list whereas active ones get moved up the list.

In order to organize streams, you can use three methods: pinning, searching and
muting.

## Pinning
Pinning a stream on Zulip pushes the stream to the top of your **Streams**
 sidebar and sticks/pins it there so that it stays at the top of your **Streams**
 sidebar.

To learn more about pinning a stream, see [here](/help/pin-a-stream).

## Searching
 If you don't have a stream pinned, you can search for it instead of scrolling
 through the alphabetically ordered list.

1. On the left sidebar in the **Streams** section, click on the search
 (<i class="fa fa-search" aria-hidden="true"></i>) icon in the top
 right-hand corner.

    !!! tip ""
        You can also use the hotkey "w" to open the search box directly

2. A search box entitled **Search streams** will appear. You can type the
 name of a stream into this box and the **Streams** section will be filtered
 accordingly.

## Muting

If you want to keep a stream on your sidebar but don't want to keep receiving
 notifications from it, you can mute the stream.

To learn more about muting a stream, see [here](/help/mute-a-stream).

---

When pinning, searching and muting are combined, you will end up with a well
 ordered **Streams** list. All your most important streams will be pinned at
 the top. All the streams which you search for occasionally will be in the
 middle. All the inactive streams will be at the bottom of your list. Muted
 streams will still be in the list but they will be grayed out and you won't
 receive notifications from them.
